<div class="title-block">
    <div class="col-md-4">
        <h3>Месяц</h3>
    </div>
    <div class="col-md-4">
        <h3>Пол года</h3>
    </div>
    <div class="col-md-4">
        <h3>Год</h3>
    </div>
</div>

<div>
    <h3 class="title">
        Общая динамика
    </h3>
</div>
<div *ngIf="!isLoaded" class="text-center">
    <app-loader></app-loader>
</div>
<div *ngIf="isLoaded"></div>
<div *ngIf="isLoaded">
    <div class="row">
        <div class="col-md-4">
            <app-chart [data]="common7" [legend]="false"></app-chart>
        </div>
        <div class="col-md-4">
            <app-chart [data]="common30" [legend]="false"></app-chart>
        </div>
        <div class="col-md-4">
            <app-chart [data]="common90" [legend]="false"></app-chart>
        </div>
    </div>

    <div style="margin-bottom: 10px">
        <h3 class="title">
            Детально <span class="sparkline bar"></span>
        </h3>
    </div>

    <div class="row">
        <div class="col-md-4">
            <app-chart [data]="commonAll7" [legend]="false"></app-chart>
        </div>
        <div class="col-md-4">
            <app-chart [data]="commonAll30" [legend]="false"></app-chart>
        </div>
        <div class="col-md-4">
            <app-chart [data]="commonAll90" [legend]="false"></app-chart>
        </div>
    </div>

    <div style="margin-bottom: 10px">
        <h3 class="title">
            По категориям <span class="sparkline bar"></span>
        </h3>
    </div>

    <div class="row">
        <div class="col-md-4">
            <app-chart [data]="rawCategoryMonth" [legend]="false"></app-chart>
            <div *ngFor="let c of rawCategoryMonth">
                <div *ngIf="c.subReport" class="card">
                    <div class="card-header bordered">
                        <div class="header-block">
                            <h3 class="title"> {{c.name}}</h3>
                        </div>
                    </div>
                    <div class="card-block">
                        <ul class="list-group list-group-flush">
                            <li *ngFor="let subReport of c.subReport;index as i" class="list-group-item  list-group-item-action">
                                {{(i + 1) + '. ' + subReport.name }}
                                <span class="tag tag-default tag-pill pull-xs-right">{{subReport.value}}</span></li>
                        </ul>
                        <app-chart [data]="c.subReport" [legend]="false"></app-chart>
                    </div>

                </div>
            </div>
        </div>
        <div class="col-md-4">
            <app-chart [data]="rawCategoryHalfYear" [legend]="false"></app-chart>
            <div *ngFor="let c of rawCategoryHalfYear">
                <div *ngIf="c.subReport" class="card">
                    <div class="card-header bordered">
                        <div class="header-block">
                            <h3 class="title"> {{c.name}}</h3>
                        </div>
                    </div>
                    <div class="card-block">
                        <ul class="list-group list-group-flush">
                            <li *ngFor="let subReport of c.subReport;index as i" class="list-group-item  list-group-item-action">
                                {{(i + 1) + '. ' + subReport.name }}
                                <span class="tag tag-default tag-pill pull-xs-right">{{subReport.value}}</span></li>
                        </ul>
                        <app-chart [data]="c.subReport" [legend]="false"></app-chart>
                    </div>

                </div>
            </div>
        </div>
        <div class="col-md-4">
            <app-chart [data]="rawCategoryYear" [legend]="false"></app-chart>
            <div *ngFor="let c of rawCategoryYear">
                <div *ngIf="c.subReport" class="card">
                    <div class="card-header bordered">
                        <div class="header-block">
                            <h3 class="title"> {{c.name}}</h3>
                        </div>
                    </div>
                    <div class="card-block">
                        <ul class="list-group list-group-flush">
                            <li *ngFor="let subReport of c.subReport;index as i" class="list-group-item  list-group-item-action">
                                {{(i + 1) + '. ' + subReport.name }}
                                <span class="tag tag-default tag-pill pull-xs-right">{{subReport.value}}</span></li>
                        </ul>
                        <app-chart [data]="c.subReport" [legend]="false"></app-chart>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <!--    <div style="margin-bottom: 10px">-->
    <!--        <h3 class="title">-->
    <!--            По категориям детально за год <span class="sparkline bar"></span>-->
    <!--        </h3>-->
    <!--    </div>-->

    <!--    <div class="row">-->
    <!--        <div class="col-md-4" *ngFor="let c of commonCategory90">-->
    <!--            <div *ngIf="c.subReport" class="row">-->
    <!--                <label style="margin-left: 15px">{{c.name}}</label>-->
    <!--                <app-chart [data]="c.subReport" [legend]="false"></app-chart>-->
    <!--            </div>-->
    <!--        </div>-->
    <!--    </div>-->

    <!--    <div style="margin-bottom: 10px">-->
    <!--        <h3 class="title">-->
    <!--            Развлечения <span class="sparkline bar"></span>-->
    <!--        </h3>-->
    <!--    </div>-->

    <!--    <div class="row">-->
    <!--        <app-chart [data]="entertainmentCategory" [legend]="false"></app-chart>-->
    <!--    </div>-->

    <div>
        <h3 class="title" style="margin-bottom: 20px">
            Уровни <span class="sparkline bar"></span>
        </h3>
    </div>

    <div class="row" *ngFor="let level of levels">
        <div class="col-md-6">
            <div>{{level.categoryName + ' (' + level.level + ' уровень)'}}</div>
            <div class="n-progress">
                <div class="progress-bar {{getColorClass(level.currentPercent)}}"
                     [ngStyle]="{width: level.currentPercent + '%'}">
                    <span>{{level.currentPercent | number: '1.0-0'}}%</span>
                </div>
            </div>
        </div>
    </div>

    <div *ngIf="annualReports.length > 0">
        <div class="card col-md-4" *ngFor="let report of annualReports">
            <div class="card-header bordered">
                <div class="header-block">
                    <h3 class="title">Year: {{report.year}}</h3>
                </div>
            </div>

            <app-chart [data]="report.categoriesReports" [legend]="false"></app-chart>


            <div class="card-block">
                <ul class="list-group">
                    <li class="list-group-item"
                        *ngFor="let cat of report.greatPlans">
                        {{cat.name + ': ' + cat.score + ' (' + cat.date + ')' }}
                    </li>
                </ul>
            </div>
        </div>
    </div>


    <!--  <div >-->
    <!--    <h3 class="title" style="margin-bottom: 20px">-->
    <!--      Книги <span class="sparkline bar"></span>-->
    <!--    </h3>-->
    <!--  </div>-->

    <!--  <div class="row" *ngFor="let c of categoriesDisposable">-->
    <!--    <div class="col-md-6">-->
    <!--      <div>{{c.name}}</div>-->
    <!--      <div class="n-progress">-->
    <!--        <div class="progress-bar {{getCatColorClass(c)}}" [ngStyle]="{width: getCatPercent(c)+'%'}">-->
    <!--          <span>{{getCatPercent(c)| number: '1.0-0'}}%</span>-->
    <!--        </div>-->
    <!--      </div>-->
    <!--    </div>-->
    <!--  </div>-->


    <!--  <div >-->
    <!--    <h3 class="title">-->
    <!--      По под-категориям <span class="sparkline bar"></span>-->
    <!--    </h3>-->
    <!--  </div>-->


    <!--  <div class="row" *ngFor="let plan of reportBySubCategory">-->
    <!--    <div class="col-xs-6">-->
    <!--      <div>-->
    <!--        <h3>-->
    <!--          {{plan.name}}-->
    <!--        </h3>-->
    <!--      </div>-->
    <!--      <app-chart [data]="plan.value" [legend]="false"></app-chart>-->
    <!--    </div>-->
    <!--  </div>-->
</div>
